Screen.backgroundColor = "#7DDD11"
	
Utils.insertCSS "span {opacity: 0.4;}"

variables = ["<span>Utils.</span>isWebKit()", "<span>Utils.</span>isChrome()", "<span>Utils.</span>isSafari()", "<span>Utils.</span>isTouch()", "<span>Utils.</span>isDesktop()", "<span>Utils.</span>isPhone()", "<span>Utils.</span>isTablet()", "<span>Utils.</span>isMobile()"]

yFor1stlabel = ( Screen.height - (variables.length*40) ) / 2

blue_dots = []

for variable, i in variables
	
	label = new Layer
		width: 235
		height: 40
		backgroundColor: null
		x: Align.center
		y: yFor1stlabel + (i*40)
		html: variable
		style:
			fontFamily: "Menlo,Monaco,Courier,monospace"
			fontSize: "18px"
			lineHeight: "80px"
			paddingLeft: "90px"
	
	white_dot = new Layer
		size: 30
		borderRadius: 15
		backgroundColor: "white"
		x: label.x + 5
		y: label.y + 5
	
	blue_dot = new Layer
		size: 20
		borderRadius: 10
		backgroundColor: "#28AFFA"
		x: white_dot.x + 5
		y: white_dot.y + 5
		opacity: 0
	
	blue_dot.states.active =
		opacity: 1
		scale: 1.2
	
	blue_dots.push blue_dot


if Utils.isWebKit()
	blue_dots[0].animate "active"

if Utils.isChrome()
	blue_dots[1].animate "active"

if Utils.isSafari()
	blue_dots[2].animate "active"

if Utils.isTouch()
	blue_dots[3].animate "active"

if Utils.isDesktop()
	blue_dots[4].animate "active"

if Utils.isPhone()
	blue_dots[5].animate "active"

if Utils.isTablet()
	blue_dots[6].animate "active"

if Utils.isMobile()
	blue_dots[7].animate "active"
